Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
approvals
/
payments
aid_management_settings_approvals_payment_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "products": [
    {
      "product": "checkout"
    }
  ],
  "payment_methods": [
    {
      "payment_method": "creditcard"
    }
  ],
  "country_code": "<string>",
  "organization_number": "<string>",
  "bank_accounts": [
    {
      "bank_account_currency": "NOK",
      "payout_currency": "NOK",
      "bank_name": "<string>",
      "bank_account_number": "<string>",
      "bank_account_number_type": "IBAN",
      "bank_account_country_code": "<string>",
      "bank_identification_code": "DNBANOKKXXX"
    }
  ]
}
'
{
  "products": [
    {
      "product": "checkout"
    }
  ],
  "payment_methods": [
    {
      "payment_method": "creditcard"
    }
  ],
  "country_code": "<string>",
  "organization_number": "<string>",
  "bank_accounts": [
    {
      "bank_account_currency": "NOK",
      "payout_currency": "NOK",
      "bank_name": "<string>",
      "bank_account_number": "<string>",
      "bank_account_number_type": "IBAN",
      "bank_account_country_code": "<string>",
      "bank_identification_code": "DNBANOKKXXX"
    }
  ],
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "form_submitter": {
    "email": "jsmith@example.com",
    "name": "<string>",
    "title": "<string>"
  },
  "case_status": "ACTIVE",
  "links": [
    {
      "href": "<string>",
      "rel": "contract_url"
    }
  ],
  "mcc": 5814
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
products
object[]
required
payment_methods
object[]
required

Payment methods that the merchant wants to accept.

country_code
string<iso-3166-1>
required

Country code, must be a two letter ISO 3166-1-alpha-2 country code

Required string length: 2
organization_number
string
required

National organization number valid in the country specified.

bank_accounts
object[]
required

Bank account information about the seller. Currently the contract service only supports one bank_account per payout destination.

Required array length: 1 element
form_submitter
object

The user that will submit the form. If the email is set the user will be notified about the form via email.

See Seller onboarding - Reminder emails for the reminder schedule.

Response

Created ApprovalsPaymentResponse

products
object[]
required
payment_methods
object[]
required

Payment methods that the merchant wants to accept.

country_code
string<iso-3166-1>
required

Country code, must be a two letter ISO 3166-1-alpha-2 country code

Required string length: 2
organization_number
string
required

National organization number valid in the country specified.

bank_accounts
object[]
required

Bank account information about the seller. Currently the contract service only supports one bank_account per payout destination.

Required array length: 1 element
id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
form_submitter
object

The user that will submit the form. If the email is set the user will be notified about the form via email.

See Seller onboarding - Reminder emails for the reminder schedule.

case_status
enum<string>
Available options:
ACTIVE,
DECLINED,
UNDER_MANUAL_REVIEW,
AUTOMATIC_REVIEW,
WAITING_FOR_SIGNATURE,
WAITING_FOR_DECLARATION,
ERROR,
ARCHIVED,
WAITING_FOR_DETAILS,
TERMINATED
mcc
string<iso-18245>

A four-digit Merchant Category Code (MCC) for the store ISO 18245:2003

The MCC set on the case

Example:

5814

Last modified on May 12, 2026